#include <stdio.h>
#include <time.h>

#include "mgos.h"
#include "mgos_app.h"
#include "common/cs_dbg.h"
#include "mgos_event.h"
#include "mgos_time.h"


static void my_time_change_cb(int ev, void *ev_data, void *userdata)
{
char timestamp[10];

	if(mgos_strftime(timestamp, 10, "%I:%Mp", mg_time()) != -1)
		LOG(LL_INFO, ("Here at C it is now %s", timestamp));
	(void) ev;
	(void) ev_data;
	(void) userdata;
}


enum mgos_app_init_result mgos_app_init(void)
{
	mgos_event_add_handler(MGOS_EVENT_TIME_CHANGED, my_time_change_cb, NULL);
	return MGOS_APP_INIT_SUCCESS;
}

